Archaeopteryx Software, Inc.
Take Flight!Search

Home
Wing IDE
News
Support
About Us
Python
Open Source
Store

 Search:
 
 Advanced Search




[wingide-users] Mixing python dll on WingIDE and ZOPE install

Wing IDE Support support@wingide.com
Thu, 16 May 2002 11:30:33 -0400 (EDT)


On Thu, 16 May 2002, Cravoisier Thierry wrote:
> > I'am just a newby on trying to use Wing IDE with ZOPE, I configured the
> > whole stuff to have an existing instance of ZOPE working with WING IDE
> > 1.1.4, but when trying to debug I get a python version mixing !!!
> >
> > Wing IDE is set to work with the latest version of Python 2.2.1
> > My current ZOPE is based on Python 2.1
> >
> > Therefore I get the following error in WingIDE
> > <<<
> > Import can't find module, or can't find name in module: Module
> > use of python21.dll conflicts with this version of Python.
> > >>>
> > How can I solve it.

Wing comes with its own copy of Python 1.5.2 and Zope comes with its own
copy of Python too (varies by version)... so neither uses your installed
version of Python (2.2.1).  The version you set Wing IDE to use is only
used if you're launching a debug process from Wing IDE, but not if you're
launching the process outside of Wing IDE, as is done when using Zope.

Are you getting this error when you launch Wing or during debugging?
Clearly, something is loading a wrong dll or finding the wrong Python
libraries, but we need more info about the context in which this is
happening in order to diagnose it.

Can you send details, including also Zope version you're using, to
support@wingide.com?

Thanks,

- Stephan






Run by Mailman v 2.0.8


Copyright (c) 2000-2002, Archaeopteryx Software, Inc.
Legal Statements